﻿.error-container {
    height: calc(100vh - var(--mud-appbar-height));
}

.error {
    max-width: 920px;
    width: 100%;
    line-height: 1.4;
    text-align: center;
    padding-left: 15px;
    padding-right: 15px;
}

    .error .error-code {
        position: absolute;
        height: 100px;
        left: 50%;
        -webkit-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
        transform: translateX(-50%);
        z-index: -1;
    }

        .error .error-code h1 {
            font-family: 'Maven Pro', sans-serif;
            color: var(--mud-palette-text-disabled);
            font-weight: 900;
            font-size: 276px;
            margin: 0px;
            position: absolute;
            left: 50%;
            top: 50%;
            -webkit-transform: translate(-50%, -50%);
            -ms-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
        }

    .error h2 {
        font-family: 'Maven Pro', sans-serif;
        font-size: 46px;
        color: var(--mud-palette-text-primary);
        font-weight: 900;
        text-transform: uppercase;
        margin: 0px;
    }

    .error p {
        font-family: 'Maven Pro', sans-serif;
        font-size: 16px;
        color: var(--mud-palette-text-primary);
        font-weight: 400;
        text-transform: uppercase;
        margin-top: 15px;
        margin-bottom: 15px;
    }

@media only screen and (max-width: 480px) {
    .error .error-code h1 {
        font-size: 162px;
    }

    .error h2 {
        font-size: 26px;
    }
}
